Kerbal Space Program - Bug #5174

Octagonal Strut + TR-2L Ruggedized Vehicular Wheel thermal issue
06/24/2015 09:33 PM - Tempist

Status: Closed Start date: 06/24/2015
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.04 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

The combination of an Octagonal Strut and a pair of side mounted TR-2L wheels has resulted in a thermal anomaly which cannot be
explained. The components in a 1:1 configuration in any mounted method do not seem to recreate this problem but only when
combined in a 2:1 ratio and side mounted directly to the octagonal strut.

Thermal viewing of parts shows the Octagonal strut to flicker between red and yellow until the octagonal strut succumbs to thermal
overheating.

Example craft have been attached.

Related issues:

Related to Kerbal Space Program - Bug #5181: Certain part combinations overhe... Closed 06/25/2015
Related to Kerbal Space Program - Bug #5199: Orbiting Craft Experiences Spont... Closed 07/02/2015
Has duplicate Kerbal Space Program - Bug #5186: Warp causing random heat expl... Duplicate 06/28/2015
History

#1 - 06/25/2015 01:32 AM - Squelch
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Good find.
This also happens with the XL3 wheels. | haven't been able to find any other part combinations that produce this effect so far.

A minimal assembly to reproduce is an Octagonal Strut with something attached to the two nodes, and either XL3 or TR-2L rover wheels surface
attached at the sides.

The devs are investigating this phenomenon.
#2 - 06/25/2015 02:01 AM - Probus
- File explody.craft added

- Platform Any added
- Platform deleted (Windows)

Here is another example .craft file with run away heating. Press F11 to watch one of the struts flicker then explode.

#4 - 06/25/2015 03:57 AM - Tempist
- File Omni Sci Capsule.craft added
- File Omni Sci Capsule Top Secton.craft added

Physics Warp will cause the Rockomax brand Adapter to experience overheating and combustion in this rocket under 2x or greater physics warping
or normal speed while in space flight. There is a FL-R25 RCS fuel tank and Z-1k Rechargeable batter Bank embedded between the adapter and
service module.

You can also see the thermal heating extends to the Mk-16 XL parachute.
#5 - 06/29/2015 11:09 AM - Squelch

- Related to Bug #5181: Certain part combinations overheat depending on global orientation. added

#6 - 06/29/2015 11:09 AM - Squelch
- Related to Bug #5186: Warp causing random heat explosions added

#7 - 06/29/2015 11:12 AM - Squelch
- Related to deleted (Bug #5186: Warp causing random heat explosions)

#8 - 06/29/2015 11:12 AM - Squelch
- Has duplicate Bug #5186: Warp causing random heat explosions added

#9 - 06/30/2015 02:27 AM - rakutenshi

Additionally I've done some poking about, discovered that the overheating went away almost entirely when | made sure no parts were clipping,
leading me to believe that this is related to the skin heat transfer. had a craft which was basically the octo core with an aerodynamic nosecone on top,
a fuel tank below, clipped it so the nosecone and the fuel tank touched with the probe core hidden inside, leading to rapid overheating after launch
(small radiators on side of fuel tank had no effect). Rebuilt, making sure none of the parts were clipping into each other more than necessary and it
experienced no thermal issues at all.

#10 - 06/30/2015 11:01 PM - Squelch

- File Thermal Runaway.craft added

rakutenshi wrote:

Additionally I've done some poking about, discovered that the overheating went away almost entirely when | made sure no parts were clipping,
leading me to believe that this is related to the skin heat transfer. had a craft which was basically the octo core with an aerodynamic nosecone
on top, a fuel tank below, clipped it so the nosecone and the fuel tank touched with the probe core hidden inside, leading to rapid overheating
after launch (small radiators on side of fuel tank had no effect). Rebuilt, making sure none of the parts were clipping into each other more than
necessary and it experienced no thermal issues at all.

| have added a minimal parts variation. We have identified that both nodes of the strut must be occupied as you have noted, and that TR-2L or XL3
wheels attached to the sides will trigger this effect. Clipping does not seem to be a factor, but can't be ruled out.

This particular assembly does not have the same orientation dependency that assemblies in #5181 are showing, but the effects are too similar to
dismiss. We need to identify and isolate which part combinations this affects. Please attach minimal examples of craft files for analysis.

#11 - 07/01/2015 06:26 AM - rakutenshi

- File More Thermal Shenanigans 1.craft added
- File More Thermal Shenanigans 2.craft added
- File More Thermal Shenanigans 3.craft added
- File More Thermal Shenanigans 4.craft added
- File More Thermal Shenanigans 5.craft added

- File More Thermal Shenanigans 3b.craft added

All of these are pretty much the same 3 part craft, save for the connecting piece between the Short Mk3 Cargo Bay and the structural fuselage (the
fuselage can be replaced with anything | believe)

#1 Explodes in about 12 seconds with no acceleration.

#2 explodes in about 3 seconds with no acceleration.

#3 explodes in about 25 seconds with no acceleration.

#4 and #5 only explode under time acceleration.

#3b is facing south from the cargobay but the cargobay is still E-W, explodes in about 1:40 under time acceleration, heat buildup did not seem to be
an issue under real time.

Orientation continues to be a deciding factor in this bug, none of the tests I've done work while the cargobay is oriented perpendicular to the runway
(N-S)

Having a part on both nodes of the piece being tested is also critical to this bug happening.

Cargobay doors must be closed in these examples.

Regarding Thermal Runaway.craft, as noted by squelch Orientation does not matter, but still exploded for me even when the attach nodes on the core
Octagonal strut were removed (1x Oct. Strut and the two Ruggedized Wheels only) the core oct. strut exploded.

| do not know for sure if it is a factor, but | have noticed that the temperature of the pieces that explode tend to fluctuate rapidly between current high

temperature and 4.0K (possibly several hundred times a second or more, it's impossible for me to tell). The conductive flux also rapidly shifts between
a very large negative number at 4.0 temp and a very large positive number at the hot temperature. When it gets to critical temperatures, you can see
the gauge on the part in question begin to flicker rapidly as well.

Regarding Minimal Test 4 item from #5181, the position of the docking port is very specific, it must be located directly over the window on the
Hitchhiker, and creates the heat bug when the Clampotron is oriented between 005 and 055 degrees(Just east of north to a bit east of northeast), and
starts blowing up again around 105. additionally the service bay has to be slightly misaligned on top of the hitchhiker or the effect doesn't seem to

happen.

#12 - 07/03/2015 05:15 PM - Squelch

- Related to Bug #5199: Orbiting Craft Experiences Spontaneous Combustion(1.0.4) added

#13 - 11/10/2015 12:43 AM - Tempist

Update: Issue appears to be resolved with 1.0.5.

#14 - 11/19/2015 10:29 PM - Squelch

- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Thanks for reporting the resolution.

#15 - 07/17/2016 09:19 AM - TriggerAu

- Status changed from Resolved to Closed

Files

Thermal anomaly.craft
